/*  ==========================================================================
    Variables
    ========================================================================== */

    /**
    *
    *   TABLE OF CONTENTS
    *
    *   BASE
    *   1. COLORS
    *   2. TYPOGRAPHY
    *   3. SPACING AND ALIGNMENT
    *   4. BORDERS
    *   5. IMAGES
    *
    *   MODULES
    *   1. LISTS
    *   2. BUTTONS
    *   3. INPUT
    *   4. CHECKBOX
    *   5. SELECT
    *   6. SLIDER
    *   7. ITEMS
    *   9. BOX
    *   10. BOX-ARROW
    *   11. ICON
    *   12. FLYOUT NAV
    *   13. BURGER
    *   14. BADGE
    *   15. TAG
    *   16. WIZARD
    *   17. NOTIFY
    *   18. ACCORDEON
    *   19. PRICING TABLE
    *   20. CONTENT
    *   21. TAB
    *   22. BAR
    *
    *
    *   ZS-MODULES
    *   1. ZS-HEADER
    *   2. ZS-FLASH
    *   3. ZS-FOOTER
    *   5. BOTTOMBAR
    *
    */


    /**
    *
    *   BASE VARIABLES
    *
    **/

    $root-folder:           "/assets";


    /* 1. COLORS
    ========================================================================== */

        /* shades of gray */
        $transparent:           transparent;

        $white:                 #fff;

        $gray-00:               #f4f4f4;
        $gray-10:               #eee;
        $gray-15:               #e6e6e6;
        $gray-20:               #dadada;
        $gray-40:               #999;
        $gray-60:               #666;
        $gray-85:               #4a4a4a;

        $black:                 #000;

        /* zoomsquare colors */
        $zs-blue:               #1f6678;
        $zs-secondary:          #4f7a8b;
        $red:                   #1f6678;
        $red-dark:              #ff2a1a;

        $orange:                #f2784b;

        $yellow:                #cdcf24;
        $yellow-light:          #ece53a;

        $green:                 #18c77e;
        $green-light:           #51e3a6;

        $blue-very-light:       #88d5f4;
        $blue-light:            #54bee7;
        $blue-dark:             #006b94;
        $blue-darkish:          #1e4f61;
        $blue-darker:           #283337;
        $blue-facebook:         #5b75a8;


        /* colors */
        $light:                             $white !default;
        $mercury:                           $gray-00 !default;
        $silver:                            $gray-10 !default;
        $stone:                             $gray-15 !default;
        $stable:                            $gray-20 !default;
        $positive:                          $zs-blue !default;
        $calm:                              $green-light !default;
        $balanced:                          $green !default;
        $energized:                         $yellow !default;
        $assertive:                         $red !default;
        $royal:                             $blue-dark !default;

        $dark:                              $blue-darker !default;
        $premium:                           $yellow;
        $premium-light:                     $yellow-light;

        $primary-accent:                    $positive;
        $secondary-accent:                  $assertive;


    /* 2. TYPOGRAPHY
    ========================================================================== */

        $font-family-sans-serif:                'Roboto', Arial, Helvetica, sans-serif!default;
        $font-family-sans-serif-condensed:      'Roboto Condensed', Arial, Helvetica, sans-serif!default;

        $html-font-size:                        62.5% !default;
        $html-line-height:                      1 !default;

        $base-line-height:                      1.4rem !default;//px

        $html-background:                       $positive;
        $html-background-image:                 url(/assets/shared/svg/logo/logo__eyes--down.svg);

        $body-background:                       $gray-00;
        $body-font-weight:                      300 !default;
        $body-font-size:                        1.3rem !default;//px
        $body-line-height:                      1.9rem !default;
        $body-font-size-small:                  1.2 !default;//px
        $body-line-height-small:                1.6 !default;
        $body-font-size-medium:                 1.2 !default;//px
        $body-line-height-medium:               2.2 !default;

        $font-family:                           $font-family-sans-serif !default;
        $font-weight-light:                     300 !default;
        $font-weight-regular:                   400 !default;
        $font-weight-medium:                    500 !default;
        $font-weight-bold:                      700 !default;
        $text-color:                            $black !default;

        $link-text-decoration:                  none;
        $link-font-weight:                      500;
        $link-color:                            $primary-accent !default;
        $link-hover-color:                      $secondary-accent !default;

        $link-inverted-text-decoration:         underline;
        $link-inverted-color:                   $white;
        $link-inverted-hover-color:             $royal;

        $link-highlighted-font-weight:          $font-weight-bold;

        /* headings */
        $h1-font-size:                          3rem !default;
        $h1-line-height:                        4rem !default;
        $h1-font-weight:                        400 !default;

        $h2-font-size:                          2.4rem !default;
        $h2-line-height:                        3rem !default;
        $h2-font-weight:                        400 !default;

        $h3-font-size:                          2rem !default;
        $h3-line-height:                        2.4rem !default;
        $h3-font-weight:                        400 !default;

        $h4-font-size:                          1.8rem !default;
        $h4-line-height:                        2.1rem !default;
        $h4-font-weight:                        400 !default;

        $h5-font-size:                          1.6rem !default;
        $h5-line-height:                        1.9rem !default;
        $h5-font-weight:                        400 !default;

        $h6-font-size:                          1.4rem !default;
        $h6-line-height:                        1.7rem !default;
        $h6-font-weight:                        400 !default;

        $jumbotron-size:                        4.5rem !default;
        $jumbotron-line-height:                 5.5rem !default;
        $jumbotron-font-weight:                 300 !default;

        $jumbotron-large-size:                        6rem !default;
        $jumbotron-large-line-height:                 7rem !default;
        $jumbotron-large-font-weight:                 300 !default;


    /* 3. SPACING AND ALIGNMENT
    ========================================================================== */

        $single-space:                          $base-line-height !default;
        $double-space:                          $single-space * 2 !default;
        $touch-size:                            $single-space * 3 !default;
        $r-gutter:                              2.4rem; // must be the same like $gutter of the grid

        $block-element-margin:                  $single-space;
        $block-element-margin-giant:            $single-space;


    /* 4. BORDERS
    ========================================================================== */

        $border-radius:                         4px;


    /* 5. IMAGES
    ========================================================================== */

        $img-caption-padding:                    $single-space / 3 $r-gutter / 4;
        $img-caption-font-size:                  1.2rem;
        $img-caption-line-height:                1rem;
        $img-caption-color:                      $gray-85;
        $img-caption-bg:                         rgba(255,255,255,0.7);


    /**
    *
    *   MODULE VARIABLES
    *
    **/

    /* 1. LISTS
    ========================================================================== */

        $list-unordered-style-type: "• ";
        $list-unordered-color:      $positive;
        $list-unordered-font-size: 3;
        $list-unordered-line-height:    2rem;

        $list-unordered-inverted-color: $white;


    /* 2. BUTTONS
    ========================================================================== */

        $button-color:                      #222 !default;
        $button-block-margin:               10px !default;
        $button-clear-padding:              6px !default;
        $button-border-radius:              0 !default;
        $button-border-width:               1px !default;
        $button-font-size:                  1.2rem !default;
        $button-line-height:                1rem !default;
        $button-font-weight:                400 !default;
        $button-padding:                    11px 24px !default;
        $button-icon-size:                  24px !default;

        $button-huge-font-size:             2rem !default;
        $button-huge-line-height:           1rem !default;
        $button-huge-padding:               22px 28px !default;
        $button-huge-icon-size:             32px !default;

        $button-large-font-size:            1.8rem !default;
        $button-large-line-height:          1rem !default;
        $button-large-padding:              15px 16px !default;
        $button-large-icon-size:            32px !default;

        $button-small-font-size:            1.2rem !default;
        $button-small-line-height:          1rem !default;
        $button-small-padding:              8px 10px !default;
        $button-small-icon-size:            32px !default;

        $button-mini-font-size:             1.2rem !default;
        $button-mini-line-height:           1rem !default;
        $button-mini-padding:               8px 5px !default;
        $button-mini-icon-size:             28px !default;

        $button-full-border-radius:         $button-border-radius;

        $button-bar-button-font-size:       13px !default;
        $button-bar-button-height:          32px !default;
        $button-bar-button-padding:         8px !default;
        $button-bar-button-icon-size:       20px !default;

        $button-light-bg:                   $light !default;
        $button-light-text:                 $positive !default;
        $button-light-hover-text:           $positive !default;
        $button-light-border:               $positive !default;
        $button-light-hover-bg:             darken($light, 15%) !default;
        $button-light-hover-border:         darken($light, 15%) !default;
        $button-light-active-bg:            darken($light, 15%) !default;
        $button-light-active-border:        darken($light, 15%) !default;
        $button-light-box-shadow:           none;

        $button-mercury-bg:                  $mercury !default;
        $button-mercury-text:                $gray-85 !default;
        $button-mercury-hover-text:          $gray-85 !default;
        $button-mercury-border:              $gray-20 !default;
        $button-mercury-hover-bg:            darken($mercury, 15%) !default;
        $button-mercury-hover-border:        darken($mercury, 15%) !default;
        $button-mercury-active-bg:           darken($mercury, 15%) !default;
        $button-mercury-active-border:       darken($mercury, 15%) !default;
        $button-mercury-box-shadow:          none;

        $button-silver-bg:                  $silver !default;
        $button-silver-text:                $gray-85 !default;
        $button-silver-hover-text:          $gray-85 !default;
        $button-silver-border:              $silver !default;
        $button-silver-hover-bg:            darken($silver, 15%) !default;
        $button-silver-hover-border:        darken($silver, 15%) !default;
        $button-silver-active-bg:           darken($silver, 15%) !default;
        $button-silver-active-border:       darken($silver, 15%) !default;
        $button-silver-box-shadow:          none;

        $button-stone-bg:                   $stone !default;
        $button-stone-text:                 $gray-85 !default;
        $button-stone-hover-text:           $gray-85 !default;
        $button-stone-border:               $stone !default;
        $button-stone-hover-bg:             darken($stone, 15%) !default;
        $button-stone-hover-border:         darken($stone, 15%) !default;
        $button-stone-active-bg:            darken($stone, 15%) !default;
        $button-stone-active-border:        darken($stone, 15%) !default;
        $button-stone-box-shadow:           none;

        $button-stable-bg:                  $stable !default;
        $button-stable-text:                $gray-85 !default;
        $button-stable-hover-text:          $gray-85 !default;
        $button-stable-border:              $stable !default;
        $button-stable-hover-bg:            darken($stable, 15%) !default;
        $button-stable-hover-border:        darken($stable, 15%) !default;
        $button-stable-active-bg:           darken($stable, 15%) !default;
        $button-stable-active-border:       darken($stable, 15%) !default;
        $button-stable-box-shadow:          none;

        $button-positive-bg:                $positive !default;
        $button-positive-text:              $white !default;
        $button-positive-hover-text:        $white !default;
        $button-positive-border:            $positive !default;
        $button-positive-hover-bg:          darken($positive, 15%) !default;
        $button-positive-hover-border:      darken($positive, 15%) !default;
        $button-positive-active-bg:         darken($positive, 15%) !default;
        $button-positive-active-border:     darken($positive, 15%) !default;
        $button-positive-box-shadow:        none;

        $button-calm-bg:                    $calm !default;
        $button-calm-text:                  $white !default;
        $button-calm-hover-text:            $white !default;
        $button-calm-border:                $calm !default;
        $button-calm-hover-bg:              darken($calm, 20%) !default;
        $button-calm-hover-border:          darken($calm, 20%) !default;
        $button-calm-active-bg:             darken($calm, 20%) !default;
        $button-calm-active-border:         darken($calm, 20%) !default;
        $button-calm-box-shadow:            none;

        $button-balanced-bg:                $balanced !default;
        $button-balanced-text:              $white !default;
        $button-balanced-hover-text:        $white !default;
        $button-balanced-border:            $balanced !default;
        $button-balanced-hover-bg:          darken($balanced, 15%) !default;
        $button-balanced-hover-border:      darken($balanced, 15%) !default;
        $button-balanced-active-bg:         darken($balanced, 15%) !default;
        $button-balanced-active-border:     darken($balanced, 15%) !default;
        $button-balanced-box-shadow:        none;

        $button-energized-bg:               $energized !default;
        $button-energized-text:             $white !default;
        $button-energized-hover-text:       $white !default;
        $button-energized-border:           $energized !default;
        $button-energized-hover-bg:         darken($energized, 15%) !default;
        $button-energized-hover-border:     darken($energized, 15%) !default;
        $button-energized-active-bg:        darken($energized, 15%) !default;
        $button-energized-active-border:    darken($energized, 15%) !default;
        $button-energized-box-shadow:       none;

        $button-assertive-bg:               $assertive !default;
        $button-assertive-text:             $white !default;
        $button-assertive-hover-text:       $white !default;
        $button-assertive-border:           $assertive !default;
        $button-assertive-hover-bg:         darken($assertive, 15%) !default;
        $button-assertive-hover-border:     darken($assertive, 15%) !default;
        $button-assertive-active-bg:        darken($assertive, 15%) !default;
        $button-assertive-active-border:    darken($assertive, 15%) !default;
        $button-assertive-box-shadow:       none;

        $button-royal-bg:                   $royal !default;
        $button-royal-text:                 $white !default;
        $button-royal-hover-text:           $white !default;
        $button-royal-border:               $royal !default;
        $button-royal-hover-bg:             darken($royal, 15%) !default;
        $button-royal-hover-border:         darken($royal, 15%) !default;
        $button-royal-active-bg:            darken($royal, 15%) !default;
        $button-royal-active-border:        darken($royal, 15%) !default;
        $button-royal-box-shadow:           none;

        $button-dark-bg:                    $dark !default;
        $button-dark-text:                  $white !default;
        $button-dark-hover-text:            $white !default;
        $button-dark-border:                $dark !default;
        $button-dark-hover-bg:              darken($dark, 15%) !default;
        $button-dark-hover-border:          darken($dark, 15%) !default;
        $button-dark-active-bg:             darken($dark, 15%) !default;
        $button-dark-active-border:         darken($dark, 15%) !default;
        $button-dark-box-shadow:            none;

        $button-facebook-bg:                $blue-facebook !default;
        $button-facebook-text:              $white !default;
        $button-facebook-hover-text:        $white !default;
        $button-facebook-border:            $blue-facebook !default;
        $button-facebook-hover-bg:          darken($blue-facebook, 15%) !default;
        $button-facebook-hover-border:      darken($blue-facebook, 15%) !default;
        $button-facebook-active-bg:         darken($blue-facebook, 15%) !default;
        $button-facebook-active-border:     darken($blue-facebook, 15%) !default;
        $button-facebook-box-shadow:        none;

        $button-transparent-bg:             transparent !default;
        $button-transparent-text:           $positive !default;
        $button-transparent-hover-text:     darken($positive, 15%) !default;
        $button-transparent-border:         transparent !default;
        $button-transparent-hover-bg:       transparent !default;
        $button-transparent-hover-border:   transparent !default;
        $button-transparent-active-bg:      transparent !default;
        $button-transparent-active-border:  transparent !default;
        $button-transparent-box-shadow:     none;

        $button-default-bg:                  $button-stable-bg !default;
        $button-default-text:                $button-stable-text !default;
        $button-default-hover-text:          $button-stable-hover-text !default;
        $button-default-border:              $button-stable-border !default;
        $button-default-hover-bg:            darken($stable, 15%) !default;
        $button-default-hover-border:        darken($stable, 15%) !default;
        $button-default-active-bg:           darken($stable, 15%) !default;
        $button-default-active-border:       darken($stable, 15%) !default;
        $button-default-box-shadow:          none;

        $button-icon-line-height:               19px;


    /* 3. INPUT
    ========================================================================== */

        $input-height:                          4.2rem;
        
        $input-font-size:                       1.2rem;
        $input-font-weight:                     400;

        $input-placeholder-color:               $gray-60;
        $input-placeholder-font-weight:         400;

        $input-field-background:                $gray-00;
        $input-field-color:                     $gray-85;
        $input-field-box-shadow:                none;
        $input-field-border:                    1px solid $gray-10;
        $input-field-border-radius:             3px;
        $input-field-padding:                   .3rem;

        $input-label-line-height:               3.5rem;
        $input-label-height:                    $input-height;
        $input-label-color:                     $text-color;
        $input-label-font-weight:               $input-font-weight;

        $input-field-inverted-background:       $white;
        $input-field-inverted-color:            $gray-85;
        $input-field-inverted-box-shadow:       none;
        $input-field-inverted-border:           1px solid $gray-20;

        $input-mini-height:                     3.2rem;
        $input-mini-padding:                    .3rem 0 .3rem 1.2rem;
        $input-mini-font-size:                  1.6rem;
        $input-mini-line-height:                2.4rem;

        $input-large-height:                    5rem;
        $input-large-padding:                   1.7rem 0 1.7rem 1.2rem;
        $input-large-font-size:                 1.6rem;
        $input-large-line-height:               1.8rem;

        $input-label-large-line-height:         3.2rem;
        $input-label-large-height:              $input-large-height;

        $textarea-line-height:                  2rem;


    /* 4. CHECKBOX
    ========================================================================== */
        
        $checkbox-box-shadow:                   none;
        $checkbox-width:                        20px;
        $checkbox-bg-width:                     20px;
        $checkbox-bg-border:                    1px solid transparent;
        $checkbox-background:                   $white;
        $checkbox-border:                       1px solid $gray-20;
        $checkbox-border-radius:                0;

        $checkbox-check-color:                  $white;
        $checkbox-check-height:                 7px;
        $checkbox-check-width:                  16px;
        $checkbox-check-height:                 6px;
        $checkbox-check-top:                    5px;
        $checkbox-check-left:                   3px;
        $checkbox-check-border-width:           3px;

        $checkbox-label-line-height:            2.6;


    /* 5. SELECT
    ========================================================================== */       

        $select-border-color:                   $gray-20;
        $select-border-radius:                  0;
        $select-border-width:                   1px;
        $select-box-shadow:                     none;
        $select-color:                          $gray-85;
        $select-height:                         4.2rem;
        $select-padding:                        .6em 1.9em .5em .8em;
        $select-arrow-color:                    #4a4a4a;
        $select-arrow-size:                     6px;
        $select-font-weight:                    $input-font-weight;

        $select-focus-color:                    $gray-20;
        $select-focus-border-bottom:            4px solid $positive;

        $select-mini-height:                    42px;
        $select-mini-padding:                   0.5em 1.5em 0.5em 0.3em;
        $select-mini-font-size:                 1.4rem;

        $select-large-height:                   50px;
        $select-large-padding:                  0.5em 1.5em 0.5em 0.3em;
        $select-large-font-size:                1.6rem;


    /* 6. SLIDER
    ========================================================================== */

        $slider-height:                     10px;
        $slider-background-color:           $gray-20;
        $slider-border-radius:              $border-radius;
        $slider-box-shadow:                 inset 0 1px 2px rgba(0, 0, 0, 0.1);

        $slider-active-background-color:    $positive;
        $slider-active-border-radius:       $border-radius;

        $slider-handle-width:               26px;
        $slider-handle-height:              26px;
        $slider-handle-top:                 -8px;
        $slider-handle-left:                -12px;
        $slider-handle-background-color:    $white;
        $slider-handle-border:              1px solid $positive;
        $slider-handle-border-radius:       999px;
        $slider-handle-box-shadow:          none;
        $slider-handle-color:               $gray-60;

        $slider-handle-lines-height:        12px;
        $slider-handle-lines-width:         2px;
        $slider-handle-lines-top:           6px;
        $slider-handle-lines-background-color:  $text-color;
        $slider-handle-lines-left-left:     9px;
        $slider-handle-lines-right-left:    14px;

        $slider-preview-height:             100px;

        $slider-arrow-color:                $white;
        $slider-arrow-hover-color:          $gray-20;


     /* 7. ITEM
    ========================================================================== */

        $item-border:                       1px solid $gray-20 !default;
        $item-padding:                      $single-space / 2 0 !default;
        $item-font-size:                    16px !default;
        $item-border-width:                 0 !default;
        
        $item-button-font-size:             18px !default;
        $item-button-line-height:           32px !default;

        $item-icon-font-size:               2rem !default;
        $item-icon-fill-font-size:          28px !default;
        $item-icon-accessory-color:         #ccc !default;
        $item-icon-accessory-font-size:     16px !default;
    
        $item-avatar-width:                 40px !default;
        $item-avatar-height:                40px !default;
        $item-avatar-border-radius:       4px !default;

        $item-thumbnail-width:              80px !default;
        $item-thumbnail-height:             80px !default;
        $item-thumbnail-margin:             10px !default;

        $item-divider-bg:                   #f5f5f5 !default;
        $item-divider-color:                #222 !default;
        $item-divider-padding:              5px 15px !default;

        $item-input-label-font-weight:      300;

        $item-input-value-font-weight:      700;

        $item-input-value-disabled-color:   $gray-60;

        $item-light-bg:                     $button-light-bg !default;
        $item-light-border:                 $button-light-border !default;
        $item-light-text:                   $black !default;
        $item-light-active-bg:              $button-light-active-bg !default;
        $item-light-active-border:          $button-light-active-border !default;
        $item-light-hover-bg:               darken($button-light-bg, 10%) !default;

        $item-fawn-bg:                      $gray-10 !default;
        $item-fawn-border:                  $gray-20 !default;
        $item-fawn-text:                    $black !default;
        $item-fawn-hover-bg:                darken($item-fawn-bg, 10%) !default;
        $item-fawn-active-bg:               darken($item-fawn-border, 10%) !default;
        $item-fawn-active-border:           darken($item-fawn-bg, 10%) !default;

        $item-stable-bg:                    $button-stable-bg !default;
        $item-stable-border:                $button-stable-border !default;
        $item-stable-text:                  $button-stable-text !default;
        $item-stable-hover-bg:              darken($button-stable-bg, 10%) !default;
        $item-stable-active-bg:             $button-stable-active-bg !default;
        $item-stable-active-border:         darken($button-stable-active-border, 10%) !default;

        $item-positive-bg:                  $button-positive-bg !default;
        $item-positive-border:              $button-positive-border !default;
        $item-positive-text:                $button-positive-text !default;
        $item-positive-active-bg:           $button-positive-active-bg !default;
        $item-positive-active-border:       $button-positive-active-border !default;
        $item-positive-hover-bg:            darken($button-positive-bg, 10%) !default;

        $item-calm-bg:                    $button-calm-bg !default;
        $item-calm-border:                $button-calm-border !default;
        $item-calm-text:                  $button-calm-text !default;
        $item-calm-active-bg:             $button-calm-active-bg !default;
        $item-calm-active-border:         $button-calm-active-border !default;
        $item-calm-hover-bg:              darken($button-calm-bg, 10%) !default;

        $item-assertive-bg:               $button-assertive-bg !default;
        $item-assertive-border:           $button-assertive-border !default;
        $item-assertive-text:             $button-assertive-text !default;
        $item-assertive-active-bg:        $button-assertive-active-bg !default;
        $item-assertive-active-border:    $button-assertive-active-border !default;
        $item-assertive-hover-bg:         darken($button-assertive-bg, 10%) !default;

        $item-balanced-bg:                $button-balanced-bg !default;
        $item-balanced-border:            $button-balanced-border !default;
        $item-balanced-text:              $button-balanced-text !default;
        $item-balanced-active-bg:         $button-balanced-active-bg !default;
        $item-balanced-active-border:     $button-balanced-active-border !default;
        $item-balanced-hover-bg:          darken($button-balanced-bg, 10%) !default;

        $item-energized-bg:               $button-energized-bg !default;
        $item-energized-border:           $button-energized-border !default;
        $item-energized-text:             $button-energized-text !default;
        $item-energized-active-bg:        $button-energized-active-bg !default;
        $item-energized-active-border:    $button-energized-active-border !default;
        $item-energized-hover-bg:         darken($button-energized-bg, 10%) !default;

        $item-royal-bg:                   $button-royal-bg !default;
        $item-royal-border:               $button-royal-border !default;
        $item-royal-text:                 $button-royal-text !default;
        $item-royal-active-bg:            $button-royal-active-bg !default;
        $item-royal-active-border:        $button-royal-active-border !default;
        $item-royal-hover-bg:             darken($button-royal-bg, 10%) !default;

        $item-dark-bg:                    $button-dark-bg !default;
        $item-dark-border:                $button-dark-border !default;
        $item-dark-text:                  $button-dark-text !default;
        $item-dark-active-bg:             $button-dark-active-bg !default;
        $item-dark-active-border:         $button-dark-active-border !default;
        $item-dark-hover-bg:              darken($button-dark-bg, 10%) !default;

        $item-default-bg:                 $item-light-bg !default;
        $item-default-border:             $item-light-border !default;
        $item-default-text:               $item-light-text !default;
        $item-default-active-bg:          #D9D9D9 !default;
        $item-default-active-border:      $item-light-active-border !default;
        $item-default-hover-bg:           darken($item-light-bg, 10%) !default;

        $item-icon-color:                   $gray-85;


    /* 9. BOX
    ========================================================================== */

        $box-light-bg:                      $button-light-bg;
        $box-light-color:                   $text-color;

        $box-mercury-bg:                    $button-mercury-bg;
        $box-mercury-color:                 $button-mercury-text;

        $box-silver-bg:                     $button-silver-bg;
        $box-silver-color:                  $button-silver-text;

        $box-stone-bg:                      $button-stone-bg;
        $box-stone-color:                   $button-stone-text;

        $box-stable-bg:                     $button-stable-bg;
        $box-stable-color:                  $button-stable-text;

        $box-positive-bg:                   $button-positive-bg;
        $box-positive-color:                $button-positive-text;

        $box-calm-bg:                       $button-calm-bg;
        $box-calm-color:                    $button-calm-text;

        $box-balanced-bg:                   $button-balanced-bg;
        $box-balanced-color:                $button-balanced-text;

        $box-energized-bg:                  $button-energized-bg;
        $box-energized-color:               $button-energized-text;

        $box-assertive-bg:                  $button-assertive-bg;
        $box-assertive-color:               $button-assertive-text;

        $box-royal-bg:                      $button-royal-bg;
        $box-royal-color:                   $button-royal-text;

        $box-default-bg:                    $box-light-bg;
        $box-default-color:                 $box-light-color;

        $box-source-margin-bottom:          $single-space;
        $box-source-text-align:             left;



    /* 10. BOX ARROW
    ========================================================================== */

        $arrow-box-arrow-size:              20px;


    /* 11. ICON
    ========================================================================== */

        $icon-font-size:                        2rem;

        $icon-small-font-size:                  1.8rem;
        $icon-medium-font-size:                 2.5rem;
        $icon-large-font-size:                  3.4rem;
        $icon-huge-font-size:                   6rem;


    /* 12. FLYOUT NAV
    ========================================================================== */

        $flyout-nav-width:                  375px;
        $flyout-nav-background:             $gray-10;
        $flyout-nav-text:                   $text-color;


    /* 13. BURGER
    ========================================================================== */

        $burger-button-size: 24px;
        $burger-line-height: 1px;
        $burger-top-line-top: $burger-button-size/4;
        $burger-bottom-line-top: -$burger-button-size/4;
        $burger-transition: .3s;
        $burger-color: $white;



    /* 14. BADGE
    ========================================================================== */

        $badge-z-index:                         9;
        $badge-height:                          16px;
        $badge-color:                           $white;
        $badge-line-height:                     15px;
        $badge-background-color:                $red;
        $badge-border-radius:                   7px;
        $badge-font-size:                       1.3rem;


    /* 15. TAG
    ========================================================================== */

        $tag-padding:                           0 4px;
        $tag-font-size:                         1.2rem;
        $tag-font-weight:                       400;
        $tag-line-height:                       2rem;
        $tag-color:                             $positive;
        $tag-border-radius:                     2px;
        $tag-border:                            1px solid transparent;
        $tag-background-color:                  rgba($positive, .15);
        $tag-box-shadow:                        none;

        $tag-mobile-padding:                    4px 8px;
        $tag-mobile-font-size:                  $body-font-size;

        $tag-hover-background-color:            darken($gray-20, 10%);

        $tag-large-font-size:                   1.6rem;
        $tag-large-padding:                     3px 6px;

        $tag-royal-color:                       $white;
        $tag-royal-background-color:            $royal;
        $tag-royal-border-color:                $royal;
        $tag-royal-hover-background-color:      darken($royal, 10%);

        $tag-light-color:                       $text-color;
        $tag-light-background-color:            $white;
        $tag-light-border-color:                $gray-20;
        $tag-light-hover-background-color:      darken($white, 10%);

        $tag-stable-color:                       $gray-85;
        $tag-stable-background-color:            $white;
        $tag-stable-border-color:                $gray-20;
        $tag-stable-hover-background-color:      darken($white, 10%);


    /* 16. WIZARD
    ========================================================================== */

        $wizard-bullet-width:                       40px;
        $wizard-bullet-width-huge:                  40px;
        $wizard-bullet-border-radius:               99px;
        $wizard-bullet-border-radius-huge:          99px;
        $wizard-bullet-border:                      1px solid $blue-light;
        $wizard-bullet-background-color:            $blue-light;
        $wizard-bullet-color:                       $white;
        $wizard-bullet-text-align:                  center;
        $wizard-bullet-font-size:                   2.4;
        $wizard-bullet-line-height:                 34px;
        $wizard-bullet-margin-top:                  -10px;

        $wizard-hover-bullet-background-color:      $blue-light;
        $wizard-hover-bullet-border-color:          $blue-light;

        $wizard-active-bullet-background-color:     $white;
        $wizard-active-bullet-border-color:         $white;
        $wizard-active-bullet-color:                $primary-accent;

        $wizard-finished-bullet-background-color:   $primary-accent;
        $wizard-finished-bullet-border-color:       $white;

        $wizard-step-font-size:                     1.4;
        $wizard-step-font-weight:                   400;


    /* 17. NOTIFY
    ========================================================================== */

        $notify-top:                            50px;
        $notify-width:                          350px;
        $notify-padding:                        $single-space $r-gutter;
        $notify-border:                         1px solid $gray-20;
        $notify-border-radius:                  $border-radius;
        $notify-background-color:               $white;
    
        $notify-special-padding:                $single-space $r-gutter +  4 $single-space $r-gutter;
        $notify-special-box-width:              $r-gutter;
        $notify-special-box-padding:            $single-space $r-gutter / 2;
    
        $notify-warning-border:                 1px solid $yellow;
        $notify-warning-background-color:       $yellow;
        $notify-warning-icon-right:             9px;
        $notify-warning-icon-content:           "\e911";
    
        $notify-error-border:                   1px solid $red;
        $notify-error-background-color:         $red;
        $notify-error-icon-right:               9px;
        $notify-error-icon-content:             "\e925";
    
        $notify-success-border:                 1px solid $green;
        $notify-success-background-color:       $green;
        $notify-success-icon-right:             13px;
        $notify-success-icon-content:           "\e91f";

        $notify-bar-padding:                    .6rem $r-gutter;
        $notify-bar-box-shadow:                 1px 0 5px rgba(0,0,0,.3);

        $notify-bar-warning-background-color:   $yellow;
        $notify-bar-warning-color:              $white;
    
        $notify-bar-error-background-color:     $red;
        $notify-bar-error-color:                $white;
    
        $notify-bar-success-background-color:   $green;
        $notify-bar-success-color:              $white;

        $notify-inline-warning-background-color:   $yellow;
        $notify-inline-warning-color:              $white;
 
        $notify-inline-error-background-color:     $red;
        $notify-inline-error-color:                $white;
 
        $notify-inline-success-background-color:   $green;
        $notify-inline-success-color:              $white;
   

    /*  18. ACCORDEON
    ========================================================================== */

        $item-accordeon-color:              $black;
        $item-accordeon-border-color:       $gray-20;

        $accordeon-background-color:        $gray-10;
        $accordeon-border:                  1px solid $item-accordeon-border-color;
        $accordeon-icon-font-size:          1rem;
        
        $accordeon-open-background-color:   $white;


    /*  19. PRICING TABLE
    ========================================================================== */
    
        $pricing-table-color:                               $text-color;
        $pricing-table-background-color:                    $white;
        $pricing-table-margin:                              0 5px;

        $pricing-table-type-padding:                        $double-space $r-gutter;
        $pricing-table-type-border-bottom:                  1px solid $gray-20;
        $pricing-table-type-color:                          $white;
        $pricing-table-type-font-size:                      4rem;
        $pricing-table-type-line-height:                    4.4rem;
        $pricing-table-type-font-weight:                    700;
        $pricing-table-type-text-align:                     center;
        $pricing-table-type-background-color:               $green-light; 

        $pricing-table-type-small-font-size:                1.7rem;
        $pricing-table-type-small-line-height:              2.1rem;
        $pricing-table-type-small-font-weight:              400;

        $pricing-table-price-text-align:                    center;
        $pricing-table-price-color:                         $positive;

        $pricing-table-price-text-font-size:             2.8rem;
        $pricing-table-price-text-font-weight:           400;

        $pricing-table-price-number-font-size:                9rem;
        $pricing-table-price-number-line-height:              8rem;
        $pricing-table-price-number-font-weight:              400;
        $pricing-table-price-number-text-transform:           uppercase;

        $pricing-table-price-subtext-font-size:             2rem;
        $pricing-table-price-subtext-font-weight:           300;

        $pricing-table-description-font-size:               2rem;
        $pricing-table-description-font-weight:             400;
        $pricing-table-description-background-color:        $gray-20;
        $pricing-table-description-text-align:              center;

        $pricing-table-bullet-title-font-weight:            400;

        $pricing-table-bullet-font-size:                    1.6rem;
        $pricing-table-bullet-font-weight:                  300;
        $pricing-table-bullet-background-color:             $gray-20;

        $pricing-table-cta-text-align:                      center;
        $pricing-table-cta-background-color:                $gray-20;

        $pricing-table-premium-type-background-color:   $green; 


    /*  20. CONTENT
    ========================================================================== */

        $content-title-font-size:                           4.5rem;
        $content-title-line-height:                         5.2rem;

        $content-subtitle-font-size:                        3rem;
        $content-subtitle-line-height:                      3.8rem;

        $content-text-font-size:                            2.2rem;
        $content-text-line-height:                          3rem;


    /*  21. TOOLTIP
    ========================================================================== */

        $tooltip-button-font-weight:                        $body-font-weight;
        $tooltip-button-font-size:                          $body-font-size;


    /*  21. TAB
    ========================================================================== */

        $tab-line-margin-bottom:                    $double-space;
        $tab-line-text-align:                       left;
        $tab-line-line-height:                      2px;
        $tab-line-line-background:                  $gray-10;

        $tab-line-active-color:                     $black;
        $tab-line-active-font-weight:               $font-weight-bold;
        $tab-line-active-line-height:               2px;
        $tab-line-active-line-background:           $black;


    /*  22. BAR
    ========================================================================== */

        $bar-height:                        44px;
        $bar-padding:                       0 $r-gutter / 2;
        $bar-background-color:              $white;
        $bar-border-bottom:                 1px solid $gray-20;
        $bar-box-shadow:                    none;
        $bar-font-weight:                   300;
        $bar-line-height:                   45px;
    
        $bar-button-font-size:              1.5rem;

        $bar-light-background-color:        $light;
        $bar-light-color:                   $text-color;
    
        $bar-mercury-background-color:      $mercury;
        $bar-mercury-color:                 $text-color;

        $bar-silver-background-color:       $silver;
        $bar-silver-color:                  $text-color;

        $bar-stone-background-color:        $stone;
        $bar-stone-color:                   $text-color;

        $bar-stable-background-color:       $stable;
        $bar-stable-color:                  $text-color;

        $bar-positive-background-color:     $positive;
        $bar-positive-color:                $white;

        $bar-calm-background-color:         $calm;
        $bar-calm-color:                    $text-color;

        $bar-balanced-background-color:     $balanced;
        $bar-balanced-color:                $text-color;

        $bar-energized-background-color:    $energized;
        $bar-energized-color:               $text-color;

        $bar-assertive-background-color:    $assertive;
        $bar-assertive-color:               $white;

        $bar-dark-background-color:         $dark;
        $bar-dark-color:                    $white;

        $bar-royal-background-color:        $royal;
        $bar-royal-color:                   $white;




    /**
    *
    *   ZS-MODULE VARIABLES
    *
    **/

    /* 1. ZS-HEADER
    ========================================================================== */

        $header-z-index:                        4;
        $header-height:                         56px;
        $header-textcolor:                      $white;
        $header-box-shadow:                     none;
        $header-text-align:                     left;
        $header-bg:                             $positive;
        $header-color:                          $white;
        $header-font-weight:                    600; 
        $header-font-size:                      1.6rem;
        $header-line-height:                    5.2rem;

        $header-button-margin:                  0 $r-gutter;
        $header-button-border:                  1px solid $white;
        $header-button-color:                   $white;
        $header-button-font-weight:             400;
        $header-button-line-height:             4rem;
        $header-button-hover-background-color:  $royal;
        $header-button-hover-border-color:      $royal;
        $header-button-hover-color:             $white;
        $header-button-icon-font-size:          1.6rem;

        $header-logo-width:                     166px;
        $header-logo-height:                    32px;
        $header-logo-margin-top:                22px;

    /* 2. ZS-MODAL
    ========================================================================== */

        $modal-header-height:                   50px;
        $modal-header-padding:                  0 $r-gutter / 2;
        $modal-header-border-bottom:            0 none;
        $modal-header-background-color:         $white;
        $modal-header-color:                    $white;
        $modal-header-font-weight:              400;
        $modal-header-font-size:                1.6rem;
    
        $modal-close-line-height:               46px;
    
        $modal-body-background:                 $white;
        $modal-body-border-radius:              0;
    
        $modal-footer-height:                   56px;
        $modal-footer-height-small:             36px;
        $modal-footer-color:                    $gray-60;
        $modal-footer-font-weight:              300;
        $modal-footer-font-size:                1.4rem;
        $modal-footer-line-height:              2rem;
        $modal-footer-background-color:         $white;
    
        $modal-position-top:                    0;
        $modal-position-right:                  0;
        $modal-position-left:                   0;
        $modal-position-bottom:                 0;
        $modal-position-top-large:              0;
        $modal-position-right-large:            0;
        $modal-position-left-large:             10%;
        $modal-position-bottom-large:           0;

        $modal-content-padding:                 0 $r-gutter * 2 $double-space;
        $modal-content-padding-mobile:          0 $r-gutter / 2 $single-space;

        $modal-h1-size:                         2.4rem;
        $modal-h1-line-height:                  3rem;
        $modal-h1-font-weight:                  300;
    

     /* 3. ZS-FLASH
    ========================================================================== */

        $flash-top:                                 55px;
        $flash-z-index:                             11000;

        $flash-item-padding:                        $single-space / 2 $r-gutter / 2;
        $flash-item-border:                         1px solid $gray-20;
        $flash-item-border-radius:                  0;
        $flash-item-background-color:               $white;
       
        $flash-item-warning-border:                 1px solid $yellow;
        $flash-item-warning-border-bottom:          1px solid $white;
        $flash-item-warning-background-color:       $yellow;
        $flash-item-warning-color:                  $white;
        $flash-item-warning-text-decoration:        underline;
    
        $flash-item-error-border:                   1px solid $red;
        $flash-item-error-border-bottom:            1px solid $white;
        $flash-item-error-background-color:         $red;
        $flash-item-error-color:                    $white;
        $flash-item-error-text-decoration:          underline;
    
        $flash-item-success-border:                 1px solid $green;
        $flash-item-success-border-bottom:          1px solid $white;
        $flash-item-success-background-color:       $green;
        $flash-item-success-color:                  $white;
        $flash-item-success-text-decoration:        underline;


    /* 4. ZS-FOOTER
    ========================================================================== */

        $footer-background-color:                   $blue-darker;
        $footer-color:                              $white;
        $footer-font-size:                          1.4;


    /*  5. ZS-BOTTOM-BAR
    ========================================================================== */

        $bottombar-light-background-color:          $light;
        $bottombar-mercury-background-color:        $mercury;   
        $bottombar-silver-background-color:         $silver;
        $bottombar-stone-background-color:          $stone;
        $bottombar-stable-background-color:         $stable;
        $bottombar-positive-background-color:       $positive;
        $bottombar-calm-background-color:           $calm;
        $bottombar-balanced-background-color:       $balanced; 
        $bottombar-energized-background-color:      $energized;
        $bottombar-assertive-background-color:      $assertive;
        $bottombar-dark-background-color:           $dark;
        $bottombar-royal-background-color:          $royal;
        $bottombar-transparent-background-color:    transparent;

        $bottombar-box-shadow:                      0 -2px 4px rgba($black, .07);
        $bottombar-background-color:                $bottombar-light-background-color;
        $bottombar-z-index:                         5;